# REDCap read function to preserve field labels and all factor levels — read_redcap_labelled • REDCapCAST
This works very much as `read_redcap_tables()` and might end up there

Skip to contents

# REDCap read function to preserve field labels and all factor levels

Source: `R/easy_redcap.R`
`read_redcap_labelled.Rd`

This works very much as `read_redcap_tables()` and might end up there

## Usage

    read_redcap_labelled(
      uri,
      token,
      records = NULL,
      fields = NULL,
      events = NULL,
      forms = NULL,
      split_forms = "all"
    )

## Arguments

uri

  REDCap database API uri

token

  API token

records

  records to download

fields

  fields to download

events

  events to download

forms

  forms to download

split_forms

  Whether to split "repeating" or "all" forms, default is "all".

## Value

data.frame or list